Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Collections
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • AcceptDebtCollectionList
        POST
      • RejectDebtCollectionList
        POST
      • PauseCase
        POST
      • WithdrawCase
        POST
      • ResumeCase
        POST
      • AcceptEvictionRequest
        POST
      • RejectEvictionRequest
        POST
      • AcceptEvictionConfirmation
        POST
      • RejectEvictionConfirmation
        POST
      • GetCasesByOrganization
        GET
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  1. Collections

GetCasesByOrganization

GET
/orgs/{organizationId}/cases
Endpoints for organization management operations

Request

Authorization
Path Params

Query Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/orgs//cases?Status=undefined&Type=undefined&CaseNumber=undefined&CustomerNumber=undefined&UniqueSourceInvoiceId=undefined&SearchTerm=undefined&FromCreatedAt=undefined&ToCreatedAt=undefined&PageToken=undefined&PageSize=undefined'
Response Response Example
{
    "data": [
        {
            "caseId": "af51d69f-996a-4891-a745-aadfcdec225a",
            "caseNumber": 0,
            "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
            "creditorId": "ddc16491-2bd6-4cc3-b855-e93eb9eb99c2",
            "creditorNumber": "string",
            "status": "OPEN",
            "subStatus": "DEBT_COLLECTION_LIST_MANUAL",
            "type": "PAYMENT_REMINDER",
            "description": "string",
            "registeredAt": "2019-08-24T14:15:22.123Z",
            "closedAt": "2019-08-24T14:15:22.123Z",
            "invoices": [
                {
                    "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec",
                    "invoiceNumber": "string",
                    "caseId": "af51d69f-996a-4891-a745-aadfcdec225a",
                    "invoiceDate": "2019-08-24T14:15:22.123Z",
                    "dueDate": "2019-08-24T14:15:22.123Z",
                    "batchId": "5579c111-9c50-47e2-af92-f16d52e63189",
                    "registeredAt": "2019-08-24T14:15:22.123Z",
                    "originalAmount": 0,
                    "remainingAmount": 0,
                    "remainingPrincipal": 0,
                    "uniqueSourceInvoiceId": "string",
                    "paidAmount": 0,
                    "creditedAmount": 0,
                    "currency": {}
                }
            ],
            "debtors": [
                {
                    "debtorId": "0e24973d-821c-4f49-b6cd-c5f93b86e51d",
                    "type": "PRIVATE",
                    "debtorNumber": "string",
                    "customerNumber": "string",
                    "firstName": "string",
                    "lastName": "string",
                    "fullName": "string",
                    "identificationNumber": "string",
                    "email": "string",
                    "phone": "string"
                }
            ],
            "remainingAmount": 0,
            "remainingPrincipal": 0,
            "claims": [
                {
                    "type": "PRINCIPAL",
                    "originalAmount": 0,
                    "currentAmount": 0,
                    "remainingAmount": 0,
                    "paidAmount": 0,
                    "creditedAmount": 0,
                    "currency": "string",
                    "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec"
                }
            ],
            "caseAccountDetails": {
                "bankAccountDetails": {
                    "accountType": "UNKNOWN",
                    "accountNumber": "string"
                },
                "paymentReference": "string"
            }
        }
    ],
    "skipSummary": {
        "status": "string",
        "totalCount": 0,
        "currentPage": 0,
        "pageSize": 0,
        "totalPages": 0,
        "hasNextPage": true,
        "hasPreviousPage": true
    },
    "cursorSummary": {
        "status": "string",
        "nextPageToken": "string",
        "previousPageToken": "string"
    }
}
Modified at 2026-05-15 15:15:30
Previous
RejectEvictionConfirmation
Next
CreateCorrections
Built with